GET /integrations/slack/channels

List the channels of the connected Slack workspace, fetched live from the Slack API.

curl "https://api.ellipsis.dev/v1/integrations/slack/channels" \
  -H "Authorization: Bearer $ELLIPSIS_API_KEY"
{
  "channels": [
    {
      "id": "string",
      "is_member": false,
      "is_private": false,
      "name": "string"
    }
  ],
  "team_id": "string",
  "team_name": "string"
}
No request body.
{
  "properties": {
    "channels": {
      "items": {
        "properties": {
          "id": {
            "type": "string"
          },
          "is_member": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ]
          },
          "is_private": {
            "anyOf": [
              {
                "type": "boolean"
              },
              {
                "type": "null"
              }
            ]
          },
          "name": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ]
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "team_id": {
      "type": "string"
    },
    "team_name": {
      "type": "string"
    }
  },
  "required": [
    "team_id",
    "team_name",
    "channels"
  ],
  "type": "object"
}

Responses

On this page

No Headings
Schedule a demo